### Hierarchy

- unknown
  - UserPayload

## Index

### Constructors

- constructor

### Methods

- addAcceptedArbitrators
- addAcceptedLanguageLocaleCodes
- addAcceptedMediators
- addAcceptedRefundAgents
- addMarketAlertFilters
- addPaymentAccounts
- clearAcceptedArbitratorsList
- clearAcceptedLanguageLocaleCodesList
- clearAcceptedMediatorsList
- clearAcceptedRefundAgentsList
- clearCookieMap
- clearCurrentPaymentAccount
- clearDevelopersAlert
- clearDevelopersFilter
- clearDisplayedAlert
- clearMarketAlertFiltersList
- clearPaymentAccountsList
- clearPriceAlertFilter
- clearRegisteredArbitrator
- clearRegisteredMediator
- clearRegisteredRefundAgent
- getAcceptedArbitratorsList
- getAcceptedLanguageLocaleCodesList
- getAcceptedMediatorsList
- getAcceptedRefundAgentsList
- getAccountId
- getCookieMap
- getCurrentPaymentAccount
- getDevelopersAlert
- getDevelopersFilter
- getDisplayedAlert
- getMarketAlertFiltersList
- getPaymentAccountsList
- getPriceAlertFilter
- getRegisteredArbitrator
- getRegisteredMediator
- getRegisteredRefundAgent
- hasCurrentPaymentAccount
- hasDevelopersAlert
- hasDevelopersFilter
- hasDisplayedAlert
- hasPriceAlertFilter
- hasRegisteredArbitrator
- hasRegisteredMediator
- hasRegisteredRefundAgent
- serializeBinary
- setAcceptedArbitratorsList
- setAcceptedLanguageLocaleCodesList
- setAcceptedMediatorsList
- setAcceptedRefundAgentsList
- setAccountId
- setCurrentPaymentAccount
- setDevelopersAlert
- setDevelopersFilter
- setDisplayedAlert
- setMarketAlertFiltersList
- setPaymentAccountsList
- setPriceAlertFilter
- setRegisteredArbitrator
- setRegisteredMediator
- setRegisteredRefundAgent
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new UserPayload(): UserPayload

- Inherited from jspb.Message.constructor

  #### Returns UserPayload

## Methods

### addAcceptedArbitrators

- addAcceptedArbitrators(value?: Arbitrator, index?: number): Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:7794

  #### Parameters

  - ##### Optional value: Arbitrator

  - ##### Optional index: number

  #### Returns Arbitrator

### addAcceptedLanguageLocaleCodes

- addAcceptedLanguageLocaleCodes(value: string, index?: number): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7774

  #### Parameters

  - ##### value: string

  - ##### Optional index: number

  #### Returns UserPayload

### addAcceptedMediators

- addAcceptedMediators(value?: Mediator, index?: number): Mediator

- - Defined in src/protobuf/pb_pb.d.ts:7799

  #### Parameters

  - ##### Optional value: Mediator

  - ##### Optional index: number

  #### Returns Mediator

### addAcceptedRefundAgents

- addAcceptedRefundAgents(value?: RefundAgent, index?: number): RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:7824

  #### Parameters

  - ##### Optional value: RefundAgent

  - ##### Optional index: number

  #### Returns RefundAgent

### addMarketAlertFilters

- addMarketAlertFilters(value?: MarketAlertFilter, index?: number): MarketAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:7819

  #### Parameters

  - ##### Optional value: MarketAlertFilter

  - ##### Optional index: number

  #### Returns MarketAlertFilter

### addPaymentAccounts

- addPaymentAccounts(value?: PaymentAccount, index?: number): PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7764

  #### Parameters

  - ##### Optional value: PaymentAccount

  - ##### Optional index: number

  #### Returns PaymentAccount

### clearAcceptedArbitratorsList

- clearAcceptedArbitratorsList(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7793

  #### Returns UserPayload

### clearAcceptedLanguageLocaleCodesList

- clearAcceptedLanguageLocaleCodesList(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7773

  #### Returns UserPayload

### clearAcceptedMediatorsList

- clearAcceptedMediatorsList(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7798

  #### Returns UserPayload

### clearAcceptedRefundAgentsList

- clearAcceptedRefundAgentsList(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7823

  #### Returns UserPayload

### clearCookieMap

- clearCookieMap(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7832

  #### Returns UserPayload

### clearCurrentPaymentAccount

- clearCurrentPaymentAccount(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7769

  #### Returns UserPayload

### clearDevelopersAlert

- clearDevelopersAlert(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7779

  #### Returns UserPayload

### clearDevelopersFilter

- clearDevelopersFilter(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7789

  #### Returns UserPayload

### clearDisplayedAlert

- clearDisplayedAlert(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7784

  #### Returns UserPayload

### clearMarketAlertFiltersList

- clearMarketAlertFiltersList(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7818

  #### Returns UserPayload

### clearPaymentAccountsList

- clearPaymentAccountsList(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7763

  #### Returns UserPayload

### clearPriceAlertFilter

- clearPriceAlertFilter(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7814

  #### Returns UserPayload

### clearRegisteredArbitrator

- clearRegisteredArbitrator(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7804

  #### Returns UserPayload

### clearRegisteredMediator

- clearRegisteredMediator(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7809

  #### Returns UserPayload

### clearRegisteredRefundAgent

- clearRegisteredRefundAgent(): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7829

  #### Returns UserPayload

### getAcceptedArbitratorsList

- getAcceptedArbitratorsList(): Arbitrator []

- - Defined in src/protobuf/pb_pb.d.ts:7791

  #### Returns Arbitrator []

### getAcceptedLanguageLocaleCodesList

- getAcceptedLanguageLocaleCodesList(): string[]

- - Defined in src/protobuf/pb_pb.d.ts:7771

  #### Returns string[]

### getAcceptedMediatorsList

- getAcceptedMediatorsList(): Mediator []

- - Defined in src/protobuf/pb_pb.d.ts:7796

  #### Returns Mediator []

### getAcceptedRefundAgentsList

- getAcceptedRefundAgentsList(): RefundAgent []

- - Defined in src/protobuf/pb_pb.d.ts:7821

  #### Returns RefundAgent []

### getAccountId

- getAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:7758

  #### Returns string

### getCookieMap

- getCookieMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:7831

  #### Returns Map<string, string>

### getCurrentPaymentAccount

- getCurrentPaymentAccount(): undefined | PaymentAccount

- - Defined in src/protobuf/pb_pb.d.ts:7766

  #### Returns undefined | PaymentAccount

### getDevelopersAlert

- getDevelopersAlert(): undefined | Alert

- - Defined in src/protobuf/pb_pb.d.ts:7776

  #### Returns undefined | Alert

### getDevelopersFilter

- getDevelopersFilter(): undefined | Filter

- - Defined in src/protobuf/pb_pb.d.ts:7786

  #### Returns undefined | Filter

### getDisplayedAlert

- getDisplayedAlert(): undefined | Alert

- - Defined in src/protobuf/pb_pb.d.ts:7781

  #### Returns undefined | Alert

### getMarketAlertFiltersList

- getMarketAlertFiltersList(): MarketAlertFilter []

- - Defined in src/protobuf/pb_pb.d.ts:7816

  #### Returns MarketAlertFilter []

### getPaymentAccountsList

- getPaymentAccountsList(): PaymentAccount []

- - Defined in src/protobuf/pb_pb.d.ts:7761

  #### Returns PaymentAccount []

### getPriceAlertFilter

- getPriceAlertFilter(): undefined | PriceAlertFilter

- - Defined in src/protobuf/pb_pb.d.ts:7811

  #### Returns undefined | PriceAlertFilter

### getRegisteredArbitrator

- getRegisteredArbitrator(): undefined | Arbitrator

- - Defined in src/protobuf/pb_pb.d.ts:7801

  #### Returns undefined | Arbitrator

### getRegisteredMediator

- getRegisteredMediator(): undefined | Mediator

- - Defined in src/protobuf/pb_pb.d.ts:7806

  #### Returns undefined | Mediator

### getRegisteredRefundAgent

- getRegisteredRefundAgent(): undefined | RefundAgent

- - Defined in src/protobuf/pb_pb.d.ts:7826

  #### Returns undefined | RefundAgent

### hasCurrentPaymentAccount

- hasCurrentPaymentAccount(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7768

  #### Returns boolean

### hasDevelopersAlert

- hasDevelopersAlert(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7778

  #### Returns boolean

### hasDevelopersFilter

- hasDevelopersFilter(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7788

  #### Returns boolean

### hasDisplayedAlert

- hasDisplayedAlert(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7783

  #### Returns boolean

### hasPriceAlertFilter

- hasPriceAlertFilter(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7813

  #### Returns boolean

### hasRegisteredArbitrator

- hasRegisteredArbitrator(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7803

  #### Returns boolean

### hasRegisteredMediator

- hasRegisteredMediator(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7808

  #### Returns boolean

### hasRegisteredRefundAgent

- hasRegisteredRefundAgent(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:7828

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7834

  #### Returns Uint8Array

### setAcceptedArbitratorsList

- setAcceptedArbitratorsList(value: Arbitrator []): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7792

  #### Parameters

  - ##### value: Arbitrator []

  #### Returns UserPayload

### setAcceptedLanguageLocaleCodesList

- setAcceptedLanguageLocaleCodesList(value: string[]): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7772

  #### Parameters

  - ##### value: string[]

  #### Returns UserPayload

### setAcceptedMediatorsList

- setAcceptedMediatorsList(value: Mediator []): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7797

  #### Parameters

  - ##### value: Mediator []

  #### Returns UserPayload

### setAcceptedRefundAgentsList

- setAcceptedRefundAgentsList(value: RefundAgent []): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7822

  #### Parameters

  - ##### value: RefundAgent []

  #### Returns UserPayload

### setAccountId

- setAccountId(value: string): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7759

  #### Parameters

  - ##### value: string

  #### Returns UserPayload

### setCurrentPaymentAccount

- setCurrentPaymentAccount(value?: PaymentAccount ): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7767

  #### Parameters

  - ##### Optional value: PaymentAccount

  #### Returns UserPayload

### setDevelopersAlert

- setDevelopersAlert(value?: Alert ): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7777

  #### Parameters

  - ##### Optional value: Alert

  #### Returns UserPayload

### setDevelopersFilter

- setDevelopersFilter(value?: Filter ): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7787

  #### Parameters

  - ##### Optional value: Filter

  #### Returns UserPayload

### setDisplayedAlert

- setDisplayedAlert(value?: Alert ): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7782

  #### Parameters

  - ##### Optional value: Alert

  #### Returns UserPayload

### setMarketAlertFiltersList

- setMarketAlertFiltersList(value: MarketAlertFilter []): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7817

  #### Parameters

  - ##### value: MarketAlertFilter []

  #### Returns UserPayload

### setPaymentAccountsList

- setPaymentAccountsList(value: PaymentAccount []): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7762

  #### Parameters

  - ##### value: PaymentAccount []

  #### Returns UserPayload

### setPriceAlertFilter

- setPriceAlertFilter(value?: PriceAlertFilter ): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7812

  #### Parameters

  - ##### Optional value: PriceAlertFilter

  #### Returns UserPayload

### setRegisteredArbitrator

- setRegisteredArbitrator(value?: Arbitrator ): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7802

  #### Parameters

  - ##### Optional value: Arbitrator

  #### Returns UserPayload

### setRegisteredMediator

- setRegisteredMediator(value?: Mediator ): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7807

  #### Parameters

  - ##### Optional value: Mediator

  #### Returns UserPayload

### setRegisteredRefundAgent

- setRegisteredRefundAgent(value?: RefundAgent ): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7827

  #### Parameters

  - ##### Optional value: RefundAgent

  #### Returns UserPayload

### toObject

- toObject(includeInstance?: boolean): UserPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7835

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns UserPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7838

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UserPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UserPayload, reader: BinaryReader): UserPayload

- - Defined in src/protobuf/pb_pb.d.ts:7839

  #### Parameters

  - ##### message: UserPayload

  - ##### reader: BinaryReader

  #### Returns UserPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: UserPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7837

  #### Parameters

  - ##### message: UserPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: UserPayload ): UserPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7836

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UserPayload

  #### Returns UserPayload . AsObject

Generated using TypeDoc